netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
netddp.h File Reference
`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include <unistd.h>`
`#include <netatalk/at.h>`

Go to the source code of this file.

## Functions
int | netddp_open (struct sockaddr_at *, struct sockaddr_at *)
static int | netddp_close (int filedes)
static ssize_t | netddp_sendto (int s, const void *msg, size_t len, int flags, const struct sockaddr *to, socklen_t tolen)
static ssize_t | netddp_recvfrom (int s, void *buf, size_t len, int flags, struct sockaddr *from, socklen_t *fromlen)

## Detailed Description

this provides a generic interface to the ddp layer. with this, we should be able to interact with any appletalk stack that allows direct access to the ddp layer.

## Function Documentation

## ◆ netddp_close()

int netddp_close | ( | int | filedes | ) |
| inline static

## ◆ netddp_open()

int netddp_open | ( | struct sockaddr_at * | addr,
|  | struct sockaddr_at * | bridge )
| extern

## ◆ netddp_recvfrom()

ssize_t netddp_recvfrom | ( | int | s,
|  | void * | buf,
|  | size_t | len,
|  | int | flags,
|  | struct sockaddr * | from,
|  | socklen_t * | fromlen )
| inline static

## ◆ netddp_sendto()

ssize_t netddp_sendto | ( | int | s,
|  | const void * | msg,
|  | size_t | len,
|  | int | flags,
|  | const struct sockaddr * | to,
|  | socklen_t | tolen )
| inline static